export declare type Mouse = {
    position: {
        client: {
            x: number | null;
            y: number | null;
        };
        screen: {
            x: number | null;
            y: number | null;
        };
        page: {
            x: number | null;
            y: number | null;
        };
    };
    buttons: {
        left: boolean | null;
        middle: boolean | null;
        right: boolean | null;
        wheelDown: boolean | null;
        wheelUp: boolean | null;
    };
    keyboard: {
        ctrl: boolean | null;
        shift: boolean | null;
        alt: boolean | null;
    };
    eventType: string | null;
    selectedElement: SelectedElement;
};
declare type SelectedElement = {
    position: {
        x: number | null;
        y: number | null;
        angle: number | null;
    };
    boundingRect: {
        left: number | null;
        top: number | null;
        width: number | null;
        height: number | null;
    };
    isHover: boolean;
};
export declare type EventType = 'mousemove' | 'mousedown' | 'mouseup' | 'touchmove' | 'touchstart' | 'wheel';
export {};
